/*
 * database.java
 *
 * Created on June 1, 2007, 8:42 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Hello;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

/**
 *
 * @author Godfrey Mayende
 */
public class database {
    private Connection con; 
    private int status = 0;

    /** Creates a new instance of database */
    public database() {
        try{
            Class.forName("org.gjt.mm.mysql.Driver"); //.newInstance();
            con = DriverManager.getConnection("jdbc:mysql://mysql.stud.ntnu.no/mayende_afrimo", "mayende_afrimo", "G0d4reym");
            con.setAutoCommit(true);
        } catch (SQLException e){
            System.out.println("err in constructor, can't connect " + e.getMessage());
            closeConnection();
        } catch (Exception e){
            System.out.println("Problem with context? " + e.getMessage());
            closeConnection();
        }
    }
    public void closeConnection(){
        if(con!=null) {
            //con.close(); something like that; don't have the api availible
        }
    }
       
    //search for student leaders
    public String[] searchsl(String ssl_district){
        String query = "SELECT * FROM students WHERE district = '" + ssl_district + "'";
        String querysl = "SELECT * FROM connector WHERE status = 'leader'";
        Statement st;
        Statement ts;
        try {
            st = con.createStatement();
            ts = con.createStatement();
            ResultSet rs = st.executeQuery(query);
            ResultSet rsl = ts.executeQuery(querysl);
            ArrayList arr = new ArrayList();
            ArrayList tel = new ArrayList();
            ArrayList studregno = new ArrayList();
            ArrayList connregno = new ArrayList();
            
            while(rs.next()){
                arr.add(rs.getString("fname"));
                tel.add(rs.getString("tel"));
                studregno.add(rs.getString("regno"));
            }
            while (rsl.next()){
                connregno.add(rsl.getString("regno"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "Name             Telephone";
            // Looking up for the student leader in student table and connector table.
            for(int i=1, m=0; i<ret.length; i++, m++){
                for(int c=0; c<connregno.size(); c++){
                    if (studregno.get(m)==connregno.get(c)){
                        ret[i] = (String)arr.get(m) + "        " + (String)tel.get(m);
                    }
                }
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    //searhes for students
    public String[] searchs(String ss_regno){ 
        String query = "SELECT * FROM students WHERE regno = '" + ss_regno + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            ResultSet rs = st.executeQuery(query);
            ArrayList arr = new ArrayList();
            ArrayList stel = new ArrayList();
            while(rs.next()) {
                arr.add(rs.getString("fname"));
                stel.add(rs.getString("tel"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "Name             Telephone";
            for(int i=1,m=0; i<ret.length; i++, m++) {
                ret[i] = (String)arr.get(m) + "     " + (String)stel.get(m);
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    //searhes for discussion groups
    public String[] searchdg(String sdg_groupid){ 
        String query = "SELECT * FROM discussionGROUP WHERE groupid = '" + sdg_groupid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            ResultSet rs = st.executeQuery(query);
            ArrayList arr = new ArrayList();
            while(rs.next()) {
                arr.add(rs.getString("groupname"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "GroupName";
            for(int i=1,m=0; i<ret.length; i++,m++) {
                ret[i] = (String)arr.get(m);
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    //searhes for close students
    public String[] searchcs(String scs_district){ 
        String query = "SELECT * FROM students WHERE district = '" + scs_district + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            ResultSet rs = st.executeQuery(query);
            ArrayList arr = new ArrayList();
            ArrayList cstel = new ArrayList();
            while(rs.next()) {
                arr.add(rs.getString("fname"));
                cstel.add(rs.getString("tel"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "Name             Telephone";
            for(int i=1,m=0; i<ret.length; i++,m++) {
                ret[i] = (String)arr.get(m) + "    " + (String)cstel.get(m);
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    //searhes for a meeting
    public String[] searchm(String sm_meetid){ 
        String query = "SELECT * FROM meeting WHERE meetid = '" + sm_meetid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            ResultSet rs = st.executeQuery(query);
            ArrayList arr = new ArrayList();
            ArrayList vne = new ArrayList();
            while(rs.next()) {
                arr.add(rs.getString("meetdate"));
                vne.add(rs.getString("venue"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "MeetingDate   Venue";
            for(int i=1,m=0; i<ret.length; i++,m++) {
                ret[i] = (String)arr.get(m) + "   " + (String)vne.get(m);
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    //searhes for a comment and out put the commentinfo. Though it can be improved to search for date of comment, time, student etc
    public String[] searchc(String sc_commentid){ 
        String query = "SELECT * FROM comments WHERE commentid = '" + sc_commentid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            ResultSet rs = st.executeQuery(query);
            ArrayList arr = new ArrayList();
            while(rs.next()) {
                arr.add(rs.getString("commentinfo"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "Comment";
            for(int i=1,m=0; i<ret.length; i++,m++) {
                ret[i] = (String)arr.get(m);
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    //search for a presentation and out put the document. Though it can be improved to search for the dates, presenter, etc
    public String[] searchp(String sp_presentationid){ 
        String query = "SELECT * FROM presentation WHERE presentationid = '" + sp_presentationid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            ResultSet rs = st.executeQuery(query);
            ArrayList arr = new ArrayList();
            while(rs.next()) {
                arr.add(rs.getString("document"));
            }
            String[] ret = new String[arr.size()+1];
            ret[0] = "Presentation";
            for(int i=1,m=0; i<ret.length; i++,m++) {
                ret[i] = (String)arr.get(m);
            }
            return ret;
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        return new String[]{};
    }
    
    public void leavegroup(String lc_regn, String lc_groupid){
    
        String query = "DELETE FROM connector WHERE regno = '" + lc_regn +"' AND groupid = '" + lc_groupid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }        
    }
    
    public void deleteuser(String ds_regno){
    
        String query = "DELETE FROM students WHERE regno = '" + ds_regno + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }

    public void deletepresentation(String dp_presentationid){
    
        String query = "DELETE FROM presentation WHERE presentationid = '" + dp_presentationid +"'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }        
    }
    
    public void presentation(String pp_presentationid, String pp_regno, String pp_document, String pp_meetid){
    
        String query = "INSERT INTO presentation (presentationid, regno, document, meetid) VALUES ('" + pp_presentationid + "','" + pp_regno + "','" + pp_document + "','" + pp_meetid + "')";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }    
    }

    public void editpresentation(String ep_presentationid, String ep_regno, String ep_document, String ep_meetid){
    
        String query = "UPDATE presentation SET presentationid = '" + ep_presentationid + "', regno = '" + ep_regno + "', document = '" + ep_document + "', meetid = '" + ep_meetid + "' WHERE presentationid = '" + ep_presentationid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }    
    }
    
    public void cancelmeeting(String cm_meetid){
    
        String query = "DELETE FROM meeting WHERE meetid = '" + cm_meetid +"'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }        
    }
    
    public void reschedulemeeting(String rm_meetid, String rm_meetdate, String rm_meettime){
    
        String query = "UPDATE meeting SET meetdate = '" + rm_meetdate + "', meettime = '" + rm_meettime + "' WHERE meetid = '" + rm_meetid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }        
    }        
    
    public void meeting(String pm_meetid, String pm_meetdate, String pm_meettime, String pm_venue, String pm_groupid){
    
        String query = "INSERT INTO meeting(meetid, meetdate, meettime, venue, groupid) VALUES ('" + pm_meetid + "','" + pm_meetdate + "','" + pm_meettime + "','" + pm_venue + "','" + pm_groupid + "')";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
    public void discussionGROUP (String pd_groupid, String pd_groupname, String pd_datecreated, String pd_dateended, String pd_regno, String pd_courseid){
    
        String query = "INSERT INTO discussionGROUP(groupid, groupname, datecreated, dateended, courseid) VALUES ('" + pd_groupid + "','" + pd_groupname + "','" + pd_datecreated + "','" + pd_dateended + "','" + pd_courseid + "')";
        String queryc = "INSERT INTO connector(groupid, regno, status) VALUES ('" + pd_groupid + "' , '" + pd_regno + "', 'leader')";
        Statement st;
        Statement ts;
        try {
            st = con.createStatement(); 
            ts = con.createStatement();
            st.execute(query);
            ts.execute(queryc);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }    
    }
    
    public void comments (String pt_commentid, String pt_presentationid, String pt_commentdate, String pt_commentinfo, String pt_regno){

        String query = "INSERT INTO comments(commentid, presentationid, commentdate, commentinfo, regno) VALUES ('" + pt_commentid + "','" + pt_presentationid + "','" + pt_commentdate + "','" + pt_commentinfo + "','" + pt_regno + "')";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
    public void editcomments (String ec_commentid, String ec_presentationid, String ec_commentdate, String ec_commentinfo, String ec_regno){

        String query = "UPDATE comments SET presentationid = '" + ec_presentationid + "', commentdate = '" + ec_commentdate + "', commentinfo = '" + ec_commentinfo + "', regno = '" + ec_regno + "' WHERE commentid = '" + ec_commentid + "'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
   public void deletecomment(String dc_commentid){
    
        String query = "DELETE FROM comments WHERE commentid = '" + dc_commentid +"'";
        Statement st;
        try {
            st = con.createStatement(); 
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }        
    }
    // This used during group creation to insert information in both students and discussionGROUP tables.
    public void students(String ps_regno, String ps_fname, String ps_lname, String ps_district, String ps_gender, String ps_tel){
        
        String query = "INSERT INTO students(regno, fname, lname, district, gender, tel) VALUES ('" + ps_regno+"','" + ps_fname + "','" + ps_lname+ "','" +ps_district +"','" + ps_gender + "','" + ps_tel + "')";
        Statement st;
        try {
            st = con.createStatement();
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
    // This used during group creation to insert information in both students and discussionGROUP tables.
    public void course(String pc_courseid, String pc_coursename, String pc_lecturer){
        
        String query = "INSERT INTO course(courseid, coursename, lecturer) VALUES ('" + pc_courseid +"','" + pc_coursename + "','" + pc_lecturer+ "')";
        Statement st;
        try {
            st = con.createStatement();
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }    
    
    
    public void connector(String pc_groupid, String pc_regno) {
	
	String query = "INSERT INTO connector(groupid, regno, status) VALUES ('" + pc_groupid + "' , '" + pc_regno + "', 'member')";
        Statement st;
        try {
            st = con.createStatement();
            st.execute(query);
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)throws Exception{
        // TODO code application logic here
	database d = new database();
        //d.connector("0001","06U2345EXT");
        //d.students("07U1234EXT","checkdelete","ifitworks","Busia","Female","leader");
        //d.comments("C001","P001","15042007","what did u mean by that first sentence?","07U2345EXT");
        //d.discussionGROUP("G001","Eastern","14042007","");
        //d.meeting("M001","26062007","1000","Mbale centre","G001");
        //d.presentation("P001","06U2345EXT","presentation 7","M001");
        //d.deleteuser("07U1234EXT");
         //d.searchsl("Busia");
        //d.reschedulemeeting("M00","testdate","testtime");
        d.closeConnection();
    }  
}

