package Hello.group_mansupport;

import Hello.database;

import java.io.*;
import javax.servlet.http.HttpSession;

public class EndToEndGateways {
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseConnector5Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            short type2 = input.readShort(); // reading the type
                
                String param2;
            if (type2 == -1) { // NULL_TYPE) {
                param2 = null;
            } else {
                param2 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            instance.connector(param1, param2);
            return Utility.VOID_VALUE;
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseDiscussionGROUP2Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            short type2 = input.readShort(); // reading the type
                
                String param2;
            if (type2 == -1) { // NULL_TYPE) {
                param2 = null;
            } else {
                param2 = input.readUTF();
            }
            short type3 = input.readShort(); // reading the type
                
                String param3;
            if (type3 == -1) { // NULL_TYPE) {
                param3 = null;
            } else {
                param3 = input.readUTF();
            }
            short type4 = input.readShort(); // reading the type
                
                String param4;
            if (type4 == -1) { // NULL_TYPE) {
                param4 = null;
            } else {
                param4 = input.readUTF();
            }
            short type5 = input.readShort(); // reading the type
                
                String param5;
            if (type5 == -1) { // NULL_TYPE) {
                param5 = null;
            } else {
                param5 = input.readUTF();
            }
            short type6 = input.readShort(); // reading the type
                
                String param6;
            if (type6 == -1) { // NULL_TYPE) {
                param6 = null;
            } else {
                param6 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            instance.discussionGROUP(param1, param2, param3, param4, param5, param6);
            return Utility.VOID_VALUE;
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseCourse4Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            short type2 = input.readShort(); // reading the type
                
                String param2;
            if (type2 == -1) { // NULL_TYPE) {
                param2 = null;
            } else {
                param2 = input.readUTF();
            }
            short type3 = input.readShort(); // reading the type
                
                String param3;
            if (type3 == -1) { // NULL_TYPE) {
                param3 = null;
            } else {
                param3 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            instance.course(param1, param2, param3);
            return Utility.VOID_VALUE;
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseLeavegroup1Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            short type2 = input.readShort(); // reading the type
                
                String param2;
            if (type2 == -1) { // NULL_TYPE) {
                param2 = null;
            } else {
                param2 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            instance.leavegroup(param1, param2);
            return Utility.VOID_VALUE;
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseStudents3Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            short type2 = input.readShort(); // reading the type
                
                String param2;
            if (type2 == -1) { // NULL_TYPE) {
                param2 = null;
            } else {
                param2 = input.readUTF();
            }
            short type3 = input.readShort(); // reading the type
                
                String param3;
            if (type3 == -1) { // NULL_TYPE) {
                param3 = null;
            } else {
                param3 = input.readUTF();
            }
            short type4 = input.readShort(); // reading the type
                
                String param4;
            if (type4 == -1) { // NULL_TYPE) {
                param4 = null;
            } else {
                param4 = input.readUTF();
            }
            short type5 = input.readShort(); // reading the type
                
                String param5;
            if (type5 == -1) { // NULL_TYPE) {
                param5 = null;
            } else {
                param5 = input.readUTF();
            }
            short type6 = input.readShort(); // reading the type
                
                String param6;
            if (type6 == -1) { // NULL_TYPE) {
                param6 = null;
            } else {
                param6 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            instance.students(param1, param2, param3, param4, param5, param6);
            return Utility.VOID_VALUE;
            
        }
    }
    
    private static Object readObject(DataInput in) throws IOException {
        return Utility.readObject(in);
    }
}
