# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net
#
# Host: mysql.stud.ntnu.no
# Generation Time: Jun 29, 2007 at 07:50 PM
# Server version: 4.0.18
# PHP Version: 4.3.4
# 
# Database : `mayende_afrimo`
# 

# --------------------------------------------------------

#
# Table structure for table `comments`
#

CREATE TABLE `comments` (
  `commentid` varchar(6) default NULL,
  `presentationid` varchar(4) default NULL,
  `commentdate` varchar(20) default NULL,
  `commentinfo` varchar(100) default NULL,
  `regno` varchar(15) default NULL
) TYPE=MyISAM;

#
# Dumping data for table `comments`
#

INSERT INTO `comments` VALUES ('C001', 'P001', '15042007', 'what did u mean by that first sentence?', '07U2345EXT');
INSERT INTO `comments` VALUES ('CM1', 'P01', '21/06/2007', 'What did you mean by mlearn?', 'S01');
INSERT INTO `comments` VALUES ('CM2', 'P02', '22/05/2007', 'You should help with more clarification with that point because the book says that ...', 'S07');
INSERT INTO `comments` VALUES ('CM3', 'P03', '22/08/2007', 'Mlearning is the use mobile technologies in learning but i have a book about it if u need it let me', 'S01');
INSERT INTO `comments` VALUES ('CM5', 'P01', '24/06/2007', 'Please Chairman. Can we have some body else discussion the section Markus was to discuss because it', 'S01');

# --------------------------------------------------------

#
# Table structure for table `connector`
#

CREATE TABLE `connector` (
  `groupid` varchar(4) NOT NULL default '',
  `regno` varchar(15) NOT NULL default '',
  `status` varchar(12) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `connector`
#

INSERT INTO `connector` VALUES ('G01', 'S01', 'leader');
INSERT INTO `connector` VALUES ('G01', 'S02', 'leader');
INSERT INTO `connector` VALUES ('G02', 'S10', 'leader');
INSERT INTO `connector` VALUES ('G03', 'S03', 'leader');
INSERT INTO `connector` VALUES ('G04', 'S01', 'leader');
INSERT INTO `connector` VALUES ('G02', 'S08', 'member');
INSERT INTO `connector` VALUES ('G02', 'S04', 'member');
INSERT INTO `connector` VALUES ('G04', 'S07', 'member');
INSERT INTO `connector` VALUES ('G01', 'S01', 'member');
INSERT INTO `connector` VALUES ('G01', 'S03', 'member');

# --------------------------------------------------------

#
# Table structure for table `course`
#

CREATE TABLE `course` (
  `courseid` varchar(6) NOT NULL default '',
  `coursename` varchar(30) default NULL,
  `lecturer` varchar(40) default NULL,
  PRIMARY KEY  (`courseid`)
) TYPE=MyISAM;

#
# Dumping data for table `course`
#

INSERT INTO `course` VALUES ('C01', 'Geography', 'Richard');
INSERT INTO `course` VALUES ('C02', 'History', 'Sam');
INSERT INTO `course` VALUES ('C03', 'Math', 'Paul');
INSERT INTO `course` VALUES ('C04', 'English', 'Ireeta');
INSERT INTO `course` VALUES ('C05', 'Divinity', 'Matsiko');

# --------------------------------------------------------

#
# Table structure for table `discussionGROUP`
#

CREATE TABLE `discussionGROUP` (
  `groupid` varchar(4) NOT NULL default '',
  `groupname` varchar(20) default NULL,
  `datecreated` varchar(15) default NULL,
  `dateended` varchar(15) default NULL,
  `courseid` varchar(6) default NULL,
  PRIMARY KEY  (`groupid`)
) TYPE=MyISAM;

#
# Dumping data for table `discussionGROUP`
#

INSERT INTO `discussionGROUP` VALUES ('G01', 'Eastern', '26/01/2006', '', 'C01');
INSERT INTO `discussionGROUP` VALUES ('G02', 'Western', '27/02/2007', '', 'C01');
INSERT INTO `discussionGROUP` VALUES ('G03', 'Northern', '29/07/2006', '', 'C05');
INSERT INTO `discussionGROUP` VALUES ('G04', 'Central', '30/06/2006', '', 'C02');

# --------------------------------------------------------

#
# Table structure for table `meeting`
#

CREATE TABLE `meeting` (
  `meetid` char(3) NOT NULL default '',
  `meetdate` varchar(20) default NULL,
  `meettime` varchar(20) default NULL,
  `venue` varchar(20) default NULL,
  `groupid` varchar(4) default NULL,
  PRIMARY KEY  (`meetid`)
) TYPE=MyISAM;

#
# Dumping data for table `meeting`
#

INSERT INTO `meeting` VALUES ('M00', 'testdate', 'testtime', 'Mbale centre', 'G001');
INSERT INTO `meeting` VALUES ('M01', '27/08/2007', '1700 hrs', 'Venue1', 'G01');
INSERT INTO `meeting` VALUES ('M02', '26/04/2008', '1600hrs', 'venue2', 'G02');
INSERT INTO `meeting` VALUES ('M03', '26/04/2007', '1700hrs', 'venue3', 'G02');

# --------------------------------------------------------

#
# Table structure for table `presentation`
#

CREATE TABLE `presentation` (
  `presentationid` varchar(4) NOT NULL default '',
  `regno` varchar(15) default NULL,
  `document` varchar(100) default NULL,
  `meetid` varchar(4) default NULL,
  PRIMARY KEY  (`presentationid`)
) TYPE=MyISAM;

#
# Dumping data for table `presentation`
#

INSERT INTO `presentation` VALUES ('P001', '06U2345EXT', 'presentation 7', 'M001');
INSERT INTO `presentation` VALUES ('P01', 'S10', 'IMPORTANCE OF COMPUTERS IN EDUCATION', 'MO3');
INSERT INTO `presentation` VALUES ('P02', 'S08', 'Why mlearn', 'MO3');
INSERT INTO `presentation` VALUES ('P03', 'S04', 'Mobiles can be used in Education.', 'MO2');
INSERT INTO `presentation` VALUES ('P05', 'S02', 'In developing countries, distance education is critical for increasing access to\neducation and train', 'M01');

# --------------------------------------------------------

#
# Table structure for table `students`
#

CREATE TABLE `students` (
  `regno` varchar(15) NOT NULL default '',
  `fname` varchar(20) default NULL,
  `lname` varchar(30) default NULL,
  `district` varchar(20) default NULL,
  `gender` varchar(7) default NULL,
  `tel` varchar(15) default NULL,
  PRIMARY KEY  (`regno`)
) TYPE=MyISAM;

#
# Dumping data for table `students`
#

INSERT INTO `students` VALUES ('S01', 'Godfrey', 'Mayende', 'Busia', 'Male', '0712943834');
INSERT INTO `students` VALUES ('S02', 'Margaret', 'Baraza', 'Busia', 'Female', '0774115853');
INSERT INTO `students` VALUES ('S03', 'Joseph', 'Baraza', 'Busia', 'Male', '0712497622');
INSERT INTO `students` VALUES ('S04', 'John', 'Kizito', 'Mukono', 'Male', '0712806449');
INSERT INTO `students` VALUES ('S05', 'Faridah', 'Nalwanga', 'Masaka', 'Female', '0772800532');
INSERT INTO `students` VALUES ('S06', 'Herman', 'Mawanda', 'Masaka', 'Male', '0752443834');
INSERT INTO `students` VALUES ('S07', 'David', 'Waswa', 'Busia', 'Male', '0772498552');
INSERT INTO `students` VALUES ('S08', 'Adam', 'Alli', 'Mukono', 'Male', '0782381132');
INSERT INTO `students` VALUES ('S09', 'Haddy', 'Namudu', 'Masaka', 'Female', '0782493811');
INSERT INTO `students` VALUES ('S10', 'Lilliane', 'Assimwe', 'Mukono', 'Female', '0773123456');
