package Hello.searchsupport;

import Hello.database;

import java.io.*;
import javax.servlet.http.HttpSession;

public class EndToEndGateways {
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchdg3Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchdg(param1));
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchs2Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchs(param1));
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchsl1Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchsl(param1));
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchcs4Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchcs(param1));
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchp7Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchp(param1));
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchm5Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchm(param1));
            
        }
    }
    
    /**
     *  This class implements the application server connectivity specific to the needs.
     */
    public static class Hello_databaseSearchc6Gateway implements InvocationAbstraction {
        /**
         *  This method performs the actual invocation of server functionality. It is
         *  used by the servlet to delegate functionality to external classes.
         *
         *@param  clientID         The unique identifier of a client
         *@param  input            The stream from which we should read the parameters
         *      for the methods
         *@return                  The return value for the method NULL IS NOT
         *      SUPPORTED!!!!
         *@exception  IOException  Thrown when a protocol error occurs
         */
        public Object invoke(HttpSession session, DataInput input) throws Exception {
            short type1 = input.readShort(); // reading the type
                
                String param1;
            if (type1 == -1) { // NULL_TYPE) {
                param1 = null;
            } else {
                param1 = input.readUTF();
            }
            Hello.database instance = (Hello.database)
                session.getAttribute("Hello.database");
            if (instance == null) {
                instance = (Hello.database) Class.forName("Hello.database").newInstance();
                session.setAttribute("Hello.database", instance);
            }
            return Utility.toObject(instance.searchc(param1));
            
        }
    }
    
    private static Object readObject(DataInput in) throws IOException {
        return Utility.readObject(in);
    }
}
